futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.Optimise.Fusion

Description

Perform horizontal and vertical fusion of SOACs. See the paper A T2 Graph-Reduction Approach To Fusion for the basic idea (some extensions discussed in /Design and GPGPU Performance of Futhark’s Redomap Construct/).

Synopsis

- fuseSOACs :: Pass SOACS SOACS

# Documentation

fuseSOACs :: Pass SOACS SOACS Source #

The pass definition.